
Foreman - Refactor #11463

In host/hostgroup parameters form, parameters should be displayed in a way that allows easily

handling many classes

08/24/2015 09:43 AM - Tomer Brisker

Status: Rejected   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

for example, separate classes into two-pane layout.

Related issues:

Blocks Foreman - Tracker #10467: Parameter UI improvements in host and hostgr... New 05/11/2015

History

#1 - 08/24/2015 09:43 AM - Tomer Brisker

- Blocks Tracker #10467: Parameter UI improvements in host and hostgroup forms added

#2 - 11/01/2015 02:00 AM - Tomer Brisker

- Status changed from New to Rejected

- Assignee set to Tomer Brisker

Several different approaches have been attempted:

1. Another line of tabs underneath the main tabs.

2. Using pills and a two-pane display.

3. Using scrollspy for faster navigation.

However, it seems the consensus is that neither of these solutions look very well, either by preventing a quick overview of all parameters or by adding

another confusing list of headers that link to incorrect positions.

Since overriding inline has been implemented for class parameters and will also be added for global parameters, it seems this table is better left as is

at the moment as the length of the table and its complexity should be reduced.

Closing for now as rejected. If anyone has a better suggestion (including wire frames or an example) that will work better this can be reopened.
